# -*-makefile-*-
#
# Copyright (C) 2013 by Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_IMAGE_BAREBOX_EMMC) += image-barebox-emmc

#
# Paths and names
#
IMAGE_BAREBOX_EMMC		:= image-barebox-emmc
IMAGE_BAREBOX_EMMC_DIR		:= $(BUILDDIR)/$(IMAGE_BAREBOX_EMMC)
IMAGE_BAREBOX_EMMC_IMAGE	:= $(IMAGEDIR)/barebox_emmc.img
IMAGE_BAREBOX_EMMC_DATA		:= $(IMAGEDIR)/barebox_emmc-image $(IMAGEDIR)/linuximage $(IMAGEDIR)/root.ext2
IMAGE_BAREBOX_EMMC_CONFIG	:= barebox-hd.config

# ----------------------------------------------------------------------------
# Image
# ----------------------------------------------------------------------------

IMAGE_BAREBOX_EMMC_ENV := \
	KERNEL=linuximage \
	BAREBOX=barebox_emmc.imx \
	ROOTFS=root.ext2

$(IMAGE_BAREBOX_EMMC_IMAGE):
	@$(call targetinfo)
	-rm $(IMAGEDIR)/barebox_emmc.imx
	dd if=$(IMAGEDIR)/barebox_emmc-image of=$(IMAGEDIR)/barebox_emmc.imx ibs=256 skip=4
	@$(call image/genimage, IMAGE_BAREBOX_EMMC)
	@$(call finish)

# vim: syntax=make
