# -*-makefile-*-
#
# Copyright (C) 2013 by Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_IMAGE_BAREBOX_SD) += image-barebox-sd

#
# Paths and names
#
IMAGE_BAREBOX_SD	:= image-barebox-sd
IMAGE_BAREBOX_SD_DIR	:= $(BUILDDIR)/$(IMAGE_BAREBOX_SD)
IMAGE_BAREBOX_SD_IMAGE	:= $(IMAGEDIR)/barebox_sd.img
IMAGE_BAREBOX_SD_DATA	:= $(IMAGEDIR)/barebox-image $(IMAGEDIR)/linuximage $(IMAGEDIR)/root.ext2
IMAGE_BAREBOX_SD_CONFIG	:= barebox-hd.config

# ----------------------------------------------------------------------------
# Image
# ----------------------------------------------------------------------------

IMAGE_BAREBOX_SD_ENV := \
	KERNEL=linuximage \
	BAREBOX=barebox_sd.imx \
	ROOTFS=root.ext2

$(IMAGE_BAREBOX_SD_IMAGE):
	@$(call targetinfo)
	-rm $(IMAGEDIR)/barebox_sd.imx
	dd if=$(IMAGEDIR)/barebox-image of=$(IMAGEDIR)/barebox_sd.imx ibs=256 skip=4
	@$(call image/genimage, IMAGE_BAREBOX_SD)
	@$(call finish)

# vim: syntax=make
