# -*-makefile-*-
#
# Copyright (C) 2012 by Michael Olbrich <m.olbrich@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PLATFORM_OPENGL) += platform-opengl

# vim: syntax=make

ifdef PTXCONF_QT4

QT4_QMAKE_LIBS_OPENGL_ES1   := "-lGLESv1_CM"
# QT4_QMAKE_LIBS_OPENGL_ES1CL := 
QT4_QMAKE_INCDIR_OPENGL_ES1 := "$(SYSROOT)/usr/include/GLES"
QT4_QMAKE_LIBDIR_OPENGL_ES1 := "$(SYSROOT)/usr/lib"

QT4_QMAKE_LIBS_OPENGL_ES2   := "-lGLESv2"
QT4_QMAKE_INCDIR_OPENGL_ES2 := "$(SYSROOT)/usr/include/GLES2"
QT4_QMAKE_LIBDIR_OPENGL_ES2 := "$(SYSROOT)/usr/lib"
 
QT4_QMAKE_LIBS_EGL   := "-lEGL"
QT4_QMAKE_INCDIR_EGL := "$(SYSROOT)/usr/include/EGL"
QT4_QMAKE_LIBDIR_EGL := "$(SYSROOT)/usr/lib"
 
QT4_QMAKE_LIBS_OPENVG   := "-lOpenVG"
QT4_QMAKE_INCDIR_OPENVG := "$(SYSROOT)/usr/include/VG"
QT4_QMAKE_LIBDIR_OPENVG := "$(SYSROOT)/usr/lib"

# QMAKE_INCDIR_X11        =
# QMAKE_LIBDIR_X11        =
QMAKE_INCDIR_OPENGL     = $(QT4_QMAKE_INCDIR_OPENGL_ES2)
QMAKE_LIBDIR_OPENGL     = $(QT4_QMAKE_LIBDIR_OPENGL_ES2)
QMAKE_LIBS_OPENGL_ES1CL = @QMAKE_LIBS_OPENGL_ES1CL@
QMAKE_LIBS_OPENGL_ES1   = @QMAKE_LIBS_OPENGL_ES1@
QMAKE_LIBS_OPENGL_ES2   = @QMAKE_LIBS_OPENGL_ES2@

 
endif
