# -*-makefile-*-
#
# Copyright (C) 2012 by Philipp Zabel <p.zabel@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_CODA960_FIRMWARE) += coda960-firmware

CODA960_FIRMWARE_VERSION	:= 2.1.5-ptx1

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/coda960-firmware.targetinstall:
	@$(call targetinfo)

	@$(call install_init, coda960-firmware)
	@$(call install_fixup,coda960-firmware,PRIORITY,optional)
	@$(call install_fixup,coda960-firmware,SECTION,base)
	@$(call install_fixup,coda960-firmware,AUTHOR,"Philipp Zabel <p.zabel@pengutronix.de>")
	@$(call install_fixup,coda960-firmware,DESCRIPTION,missing)

	@$(call install_copy, coda960-firmware, 0, 0, 0644, \
		$(PTXDIST_WORKSPACE)/local_src/v4l-coda7541-imx53.bin, \
		/lib/firmware/v4l-coda7541-imx53.bin)

	@$(call install_finish,coda960-firmware)

	@$(call touch)

# vim: syntax=make
