# -*-makefile-*-
#
# Copyright (C) 2013 by Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_IMAGE_UBOOT_HD) += image-uboot-hd

#
# Paths and names
#
IMAGE_UBOOT_HD		:= image-uboot-hd
IMAGE_UBOOT_HD_DIR	:= $(BUILDDIR)/$(IMAGE_UBOOT_HD)
IMAGE_UBOOT_HD_IMAGE	:= $(IMAGEDIR)/uboot_hd.img
#IMAGE_UBOOT_HD_FILES	:= $(IMAGEDIR)/u-boot.imx $(IMAGEDIR)/linuximage $(IMAGEDIR)/root.ext2
IMAGE_UBOOT_HD_DATA	:= $(IMAGEDIR)/u-boot.imx $(IMAGEDIR)/linuximage $(IMAGEDIR)/root.ext2
IMAGE_UBOOT_HD_CONFIG	:= uboot-hd.config

# ----------------------------------------------------------------------------
# Image
# ----------------------------------------------------------------------------

IMAGE_UBOOT_HD_ENV := \
	KERNEL=linuximage \
	UBOOT=u-boot.imx \
	ROOTFS=root.ext2 \
	DTB=imx53-mba53.dtb

$(IMAGE_UBOOT_HD_IMAGE):
	@$(call targetinfo)
	@$(call image/genimage, IMAGE_UBOOT_HD)
	@$(call finish)

# vim: syntax=make
